org.gnome.gtk

## Class AssistantPageType

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gtk.AssistantPageType

-     public final class AssistantPageType
      extends org.freedesktop.bindings.Constant

  Used for determining the page role inside the `Assistant`. It's used to handle buttons sensitivity and visibility.

  Note that an assistant needs to end its page flow with a page of type `CONFIRM` or `SUMMARY` to be correct.

  Since:
    4.0.8
  Author:
    Stefan Prelle

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AssistantPageType` | `CONFIRM` The page lets the user confirm or deny the changes.
    `static AssistantPageType` | `CONTENT` The page has regular contents.
    `static AssistantPageType` | `INTRO` The page contains an introduction to the assistant task.
    `static AssistantPageType` | `PROGRESS` Used for tasks that take a long time to complete, blocks the assistant until the page is marked as complete with `setPageComplete()`
    `static AssistantPageType` | `SUMMARY` The page informs the user of the changes done.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CONFIRM

          public static final AssistantPageType CONFIRM

      The page lets the user confirm or deny the changes. It provides a 'Cancel', 'Back' and 'Apply' button.

    - #### CONTENT

          public static final AssistantPageType CONTENT

      The page has regular contents. It provides a 'Cancel','Back'

    - #### INTRO

          public static final AssistantPageType INTRO

      The page contains an introduction to the assistant task.

    - #### PROGRESS

          public static final AssistantPageType PROGRESS

      Used for tasks that take a long time to complete, blocks the assistant until the page is marked as complete with `setPageComplete()`

    - #### SUMMARY

          public static final AssistantPageType SUMMARY

      The page informs the user of the changes done. It provides a 'Close' button.